.quest {
  display: block;
  .my-point {
    font-size: 4vmin;
    margin-bottom: 1em;
    padding: 0.5em 3.5em;
    &::before, &::after {
      margin: 0 2vmin;
      vertical-align: middle;
      display: inline-block;
      width: 28px;
      height: 30px;
      content: '';
      background: url(//cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/btn_select.png) top center / contain no-repeat;
    }
    &::after {
      transform: scaleX(-1);
    }
  }

  .sec-line {
    stroke: $secondary-color;
  }
  .thir-line {
    fill: $third-color;
  }
  .milestoneWrapper {
    max-width: 1280px;
    width: 60%;
    margin: 0 auto;
    @include desktop {
      width: 100%;
    }
    @media screen and (max-device-width: 900px) and (orientation: landscape){
      width: 50%  
    }
    @include mobile {
      width: 100%;
    }
    .prim-line {
      fill: #727272;
    }

    .milestone {
      fill: #727272;

      rect.active {
        fill: $third-color !important;
      }

      text {
        font-size: 22px;
        font-weight: 700;
        text-anchor: middle;
        text-transform: uppercase;

        .chest-name {
          fill: $primary-color;
        }

        &.active {
          fill: $secondary-color !important;
        }
      }

      .btn-claim {
        // font-family: $secondary-font;
        // font-size: 4vmin;
        // text-align: center;
        // display: flex;
        // align-items: center;
        // justify-content: center;
        // cursor: pointer;
        // span {
        //   padding: 0 10vmin;
        //   line-height: 1.25em;
        //   background: $third-color;
        // }
        // &::before, &::after {
        //   margin: 0;
        //   font-size: 0;
        //   vertical-align: middle;
        //   display: inline-block;
        //   content: url(//cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/btn_select_active.png);
        // }
        // &::after {
        //   transform: scaleX(-1);
        // }
        // &:hover {
        //   opacity: 0.8;
        // }
        cursor: pointer;
        &:hover {
          filter: brightness(120%);
        }
        text {
          fill: white;
          font-family: $secondary-font;
          font-size: 20px;
        }
      }
    }
  }

  .missionwrapper {
    width: 70%;
    text-align: center;
    margin: 0 auto;
    display: flex;
    justify-content: space-around;
    @include desktop {
      width: 100%;
    }
    @include mobile {
      width: 100%;
      display: block;

    }
    // .tabs {
    //   margin-bottom: 1em;

    //   .tab {
    //     padding: 0 1em;
    //     cursor: pointer;
    //     font-weight: 700;
    //     display: inline-block;

    //     &.active {
    //       color: $third-color;
    //       text-transform: uppercase;
    //     }

    //     &:first-child {
    //       border-right: 1px solid white;
    //     }
    //   }
    // }

    .mission {
      width: 32%;
      padding: 3vmin 5vmin;
      font-size: 1.5em;
      font-family: $secondary-font;
      background: #00000024;
      border: 0.2vmin solid #000;
      @include desktop {
        font-size: 2em;
      }
      @include mobile {
        font-size: 2em;
        width: 80%;
        margin: 4vmin auto;
      }
      &-name {
        line-height: 1em;
        &.done {
          color: $primary-color-light;
        }
        @include mobile {
          flex-grow: 1;
          padding-right: 1em;
        }
      }
      &-score {
        line-height: 1em;
        font-size: 0.8em;
        color: #545454;
      }
      &-btn {
        cursor: pointer;
        &:hover {
          filter: brightness(120%);
        }
        text {
          fill: #fff;
        }
      }
    }
  }
}

.quest-container {
  flex-grow: 1;
  display: flex;
  margin-bottom: 1em;

  @include mobile {
    margin-bottom: 0;
    flex-direction: column;
  }

  .left {
    flex: 0 0 44%;
    position: relative;

    .lucky-reward {
      padding: 0 1em;
      text-align: center;

      img {
        width: 10em;
        max-height: 30vh;
        object-fit: contain;
      }

      .lucky-name {
        font-size: 125%;
        padding-top: 1em;
        font-weight: 700;
        color: $secondary-color;
        text-transform: uppercase;
      }

      @include mobile {
        padding-top: 1em;

        img {
          max-height: 12em;
        }
      }
    }

    .lcontainer {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      display: flex;
      align-items: flex-end;

      @include mobile {
        flex-direction: row;
        align-items: flex-start;
      }
    }

    @include mobile {
      order: 1;
      flex-grow: 1;
      background-color: #2b2b2b;
    }
  }

  .right {
    flex: 0 0 56%;
    display: flex;
    align-items: flex-end;

    .top-reward {
      img {
        width: 12em;
        max-height: 42vh;
        object-fit: contain;

        @include mobile {
          width: 8em;
        }
      }
    }

    @include mobile {
      padding: 1em;
      flex: 0 0 auto;
    }
  }
}
